CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- w
- x
- ~

Here is a list of all class members with links to the classes they belong to:

### - m -

- m_attributes : XmlElement
- m_cause : DynamicLibraryManagerException
- m_commandLine : PlugInParameters
- m_content : XmlElement
- m_context : ProtectorChain::ProtectFunctor
- m_details : Message
- m_elements : XmlElement
- m_encoding : XmlDocument , XmlOutputter
- m_eventManager : TextTestRunner
- m_factories : TestFactoryRegistry
- m_factory : AutoRegisterSuite< TestCaseType > , TestSuiteBuilderContextBase
- m_failedTest : TestFailure
- m_failures : TestResultCollector
- m_fileName : PlugInManager::PlugInInfo , SourceLine
- m_fixture : TestCaller< Fixture >
- m_fixtureName : TestNamer
- m_functor : ProtectorChain::ProtectFunctor
- m_hooks : XmlOutputter
- m_interface : PlugInManager::PlugInInfo
- m_isError : TestFailure
- m_lastTestFailed : BriefTestProgressListener
- m_libraryHandle : DynamicLibraryManager
- m_libraryName : DynamicLibraryManager
- m_lineNumber : SourceLine
- m_listeners : TestResult
- m_locationFormat : CompilerOutputter
- m_manager : PlugInManager::PlugInInfo
- m_message : DynamicLibraryManagerException , Exception
- m_method : TestCaseMethodFunctor
- m_name : TestFactoryRegistry , TestCase , TestComposite , XmlElement
- m_namer : TestSuiteBuilderContextBase
- m_outputter : TextTestRunner
- m_ownFixture : TestCaller< Fixture >
- m_plugIns : PlugInManager
- m_properties : TestSuiteBuilderContextBase
- m_protector : ProtectorChain::ProtectFunctor
- m_protectorChain : TestResult
- m_protectors : ProtectorChain
- m_registries : TestFactoryRegistryList
- m_registry : AutoRegisterSuite< TestCaseType >
- m_result : CompilerOutputter , ProtectorGuard , TextOutputter , TextTestRunner , XmlOutputter , ProtectorContext
- m_rootElement : XmlDocument
- m_shortDescription : Message , ProtectorContext
- m_sourceLine : Exception
- m_standalone : XmlDocument
- m_stop : TestResult
- m_stream : CompilerOutputter , TextOutputter , XmlOutputter
- m_styleSheet : XmlOutputter , XmlDocument
- m_success : TestSuccessListener
- m_suite : TestSuiteBuilderContextBase , TestRunner , MfcTestRunner
- m_syncObject : SynchronizedObject::ExclusiveZone , SynchronizedObject
- m_target : TestCaseMethodFunctor
- m_test : TestCaller< Fixture > , TestDecorator , TestCaseDecorator , ProtectorContext
- m_testErrors : TestResultCollector
- m_tests : MfcTestRunner , TestResultCollector , TestSuite , TestPath
- m_thrownException : TestFailure
- m_timesRepeat : RepeatedTest
- m_whatMessage : Exception
- m_wrapColumn : CompilerOutputter
- m_xml : XmlOutputter
- makeActual() : Asserter
- makeExpected() : Asserter
- makeFixture() : TestSuiteBuilderContext< Fixture > , TestFixtureFactory , ConcretTestFixtureFactory< TestFixtureType >
- makeNotEqualMessage() : Asserter
- makeTest() : TestSuiteFactory< TestCaseType > , TestPlugInInterface , TestFactory , TestFactoryRegistry
- makeTestFixture() : TestSuiteBuilderContextBase
- Message() : Message
- message() : Exception
- Message() : Message
- Method : TestCaseMethodFunctor
- MfcTestRunner() : MfcTestRunner

| hosts this site. |  | Send comments to: CppUnit Developers